curl --request GET \
--url https://api.recoupable.com/api/researchimport requests
url = "https://api.recoupable.com/api/research"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"results": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"site_url": "<string>"
}
]
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Search
Unified music research search. This is the discovery primitive for the detail-lookup endpoints — use type=artists to find an id for GET /api/research/albums, type=tracks for GET /api/research/track, type=playlists for GET /api/research/playlist, etc. Pick the right id from the returned results and pass it to the appropriate detail endpoint.
Searches the configured research data source. Use the type and limit parameters to narrow results before passing a returned id to a detail endpoint.
curl --request GET \
--url https://api.recoupable.com/api/researchimport requests
url = "https://api.recoupable.com/api/research"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.com/api/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/research"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recoupable.com/api/research")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"results": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>",
"site_url": "<string>"
}
]
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Missing required parameter: artist"
}{
"status": "error",
"error": "Request failed with status 501"
}Query Parameters
Search query. Can be a name (e.g. Drake, Flowers) or a streaming-platform URL (e.g. https://open.spotify.com/artist/...).
Entity type to search: artists, tracks, or labels.
artists, tracks, labels Maximum number of results.
Pagination offset. Defaults to 0 when omitted.
^(0|[1-9][0-9]*)$Was this page helpful?
